summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDirkjan Ochtman <djc@gentoo.org>2018-09-11 09:19:42 +0200
committerDirkjan Ochtman <djc@gentoo.org>2018-09-11 09:19:42 +0200
commit7affc9f183165f8c5ce8fa2dcaebb2d74ae137dc (patch)
tree9f36e9926edc0d5a2bf8cca89f1a5019180f7b97 /dev-util
parentdev-python/pytest: keyworded 3.6.3 for sparc, bug #661306 (diff)
downloadgentoo-7affc9f183165f8c5ce8fa2dcaebb2d74ae137dc.tar.gz
gentoo-7affc9f183165f8c5ce8fa2dcaebb2d74ae137dc.tar.bz2
gentoo-7affc9f183165f8c5ce8fa2dcaebb2d74ae137dc.zip
dev-util/cargo: tweak the build command and die early
Diffstat (limited to 'dev-util')
-rw-r--r--dev-util/cargo/cargo-0.29.0.ebuild4
1 files changed, 2 insertions, 2 deletions
diff --git a/dev-util/cargo/cargo-0.29.0.ebuild b/dev-util/cargo/cargo-0.29.0.ebuild
index e5043089537..984fa0934a2 100644
--- a/dev-util/cargo/cargo-0.29.0.ebuild
+++ b/dev-util/cargo/cargo-0.29.0.ebuild
@@ -125,7 +125,7 @@ wincolor-0.1.6
wincolor-1.0.0
"
-inherit cargo bash-completion-r1 versionator
+inherit cargo bash-completion-r1 multiprocessing versionator
BOOTSTRAP_VERSION="0.$(($(get_version_component_range 2) - 1)).0"
@@ -195,7 +195,7 @@ src_configure() {
src_compile() {
export CARGO_HOME="${ECARGO_HOME}"
local cargo="${WORKDIR}/cargo-${BOOTSTRAP_VERSION}-${TRIPLE}/cargo/bin/cargo"
- ${cargo} build --release
+ ${cargo} build -j$(makeopts_jobs) --release || die
# Building HTML documentation
use doc && ${cargo} doc